Name: libfltk
Version: 1.1.7
Release: alt2

Summary: Multiplatform C++ GUI Fast Light ToolKit
License: LGPL
Group: System/Libraries
URL: http://www.fltk.org/

Source: ftp://ftp.fltk.org/pub/fltk/%version/fltk-%version-source.tar.bz2
Patch0: fltk-1.1.7-alt-link.patch

Provides: fltk = %version
Obsoletes: fltk < %version

# Added by buildreq2 on Sun Jul 02 2006
BuildRequires: gcc-c++ groff-base imake libXext-devel libXft-devel libXt-devel libalsa-devel libjpeg-devel libmesa-devel libpng-devel makedepend xorg-cf-files xprop

%description
The Fast Light ToolKit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

%package devel
Summary: Development environment for multiplatform C++ GUI Fast Light ToolKit
Group: Development/C
Requires: %name = %version-%release
Provides: fltk-devel = %version
Obsoletes: fltk-devel < %version

%description devel
The Fast Light ToolKit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

This package includes header files, static library, GUI builder fluid,
needed to develop FLTK applications.

%package devel-static
Summary: Static libraries for %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Static libraries for %name

%package doc
Summary: Documentation and test suit for multiplatform C++ GUI Fast Light ToolKit
Group: Development/C
Requires: %name-devel = %version-%release
Provides: fltk-doc = %version
Obsoletes: fltk-doc < %version

%description doc
The Fast Light ToolKit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

This package includes test suit and documentation, needed to develop
FLTK applications.

%prep
%setup -q -n fltk-%version
%patch0 -p1
perl -pi -e 's/\bcat([1-3])\b/man$1/g' documentation/Makefile

%build
%configure --enable-shared --enable-xdbe --enable-xft --enable-threads
%make_build

%install
%makeinstall docdir=%buildroot%_docdir/fltk-%version
cp -p ANNOUNCEMENT CHANGES CREDITS README %buildroot%_docdir/fltk-%version/

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%dir %_docdir/fltk-%version
%_docdir/fltk-%version/ANNOUNCEMENT
%_docdir/fltk-%version/CREDITS
%_docdir/fltk-%version/README

%files devel
%_bindir/*
%_libdir/*.so
%_includedir/*
%_mandir/man?/*

%files devel-static
%_libdir/*.a

%files doc
%_docdir/fltk-%version
%exclude %_docdir/fltk-%version/ANNOUNCEMENT
%exclude %_docdir/fltk-%version/CREDITS
%exclude %_docdir/fltk-%version/README

%changelog
* Tue Jul 11 2006 Alexey Tourbin <at@altlinux.ru> 1.1.7-alt2
- fixed linkage
- specfile cleanup
- test suite not packaged
- configure --enable-shared (#8186)

* Mon Feb 27 2006 Stanislav Ievlev <inger@altlinux.org> 1.1.7-alt1
- 1.1.7, fixed buildreq

* Thu Nov 18 2004 Stanislav Ievlev <inger@altlinux.org> 1.1.5-alt1
- 1.1.5

* Tue Apr 06 2004 Stanislav Ievlev <inger@altlinux.org> 1.1.4-alt1
- 1.1.4

* Wed Mar 26 2003 Stanislav Ievlev <inger@altlinux.ru> 1.1.3-alt1
- 1.1.3

* Tue Aug  6 2002 Grigory Milev <week@altlinux.ru> 1.1.0rc7-alt1
- BUG!!!! PLEASE ADD CHANGELOGS

* Tue Aug  6 2002 Grigory Milev <week@altlinux.ru> 1.1.0rc5-alt1
- new version released

* Thu Oct 25 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.0.11-alt2
- Fixed linking with libGL (added patch3).

* Fri Jul 06 2001 Stanislav Ievlev <inger@altlinux.ru> 1.0.11-alt1
- 1.0.11, Librification, Statification.

* Sun Dec 17 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.10-ipl1mdk
- 1.0.10
- FHSification.
- Moved documentation and test suit to doc subpackage.

* Tue Jun 27 2000 Dmitry V. Levin <ldv@fandra.org>
- 1.0.9

* Wed May 31 2000 AEN <aen@logic.ru>
- 1.0.8
- bugs in spec fixed

* Tue Dec 21 1999 AEN <aen@logic.ru>
- 1.0.7
* Fri Nov 12 1999 AEN <aen@logic.ru>
- two packages

* Wed Nov 10 1999 AEN <aen@logic.ru>
- build for RE

